position_update.h File Reference
`#include <ubuntu/visibility.h>`
`#include <stdbool.h>`
`#include <stdint.h>`
Include dependency graph for position_update.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct UbuntuApplicationLocationPositionUpdate | UALocationPositionUpdate
| Opaque type encapsulating a location update. More...

## Functions

UBUNTU_DLL_PUBLIC void | ua_location_position_update_ref (UALocationPositionUpdate *update)
| Increments the reference count of the position update instance. More...
UBUNTU_DLL_PUBLIC void | ua_location_position_update_unref (UALocationPositionUpdate *update)
| Decrements the reference count of the position update instance. More...
UBUNTU_DLL_PUBLIC uint64_t | ua_location_position_update_get_timestamp (UALocationPositionUpdate *update)
| Queries the timestamp of the position update. More...
UBUNTU_DLL_PUBLIC double | ua_location_position_update_get_latitude_in_degree (UALocationPositionUpdate *update)
| Queries the latitude contained in the position update. More...
UBUNTU_DLL_PUBLIC double | ua_location_position_update_get_longitude_in_degree (UALocationPositionUpdate *update)
| Queries the longitude contained in the position update. More...
UBUNTU_DLL_PUBLIC bool | ua_location_position_update_has_altitude (UALocationPositionUpdate *update)
| Checks if the position update contains an altitude. More...
UBUNTU_DLL_PUBLIC double | ua_location_position_update_get_altitude_in_meter (UALocationPositionUpdate *update)
| Queries the altitude contained in the position update. More...
UBUNTU_DLL_PUBLIC bool | ua_location_position_update_has_horizontal_accuracy (UALocationPositionUpdate *update)
| Checks if the position update contains a horizontal accuracy estimate. More...
UBUNTU_DLL_PUBLIC double | ua_location_position_update_get_horizontal_accuracy_in_meter (UALocationPositionUpdate *update)
| Queries the horizontal accuracy contained in the position update. More...
UBUNTU_DLL_PUBLIC bool | ua_location_position_update_has_vertical_accuracy (UALocationPositionUpdate *update)
| Checks if the position update contains a vertical accuracy estimate. More...
UBUNTU_DLL_PUBLIC double | ua_location_position_update_get_vertical_accuracy_in_meter (UALocationPositionUpdate *update)
| Queries the vertical accuracy contained in the position update. More...